<template>
  <v-layout justify-end class="feedback-toggle text-xs-right">
    <v-btn dark larget icon flat @click="toggle">
      <v-icon medium>{{arrowIcon}}</v-icon>
    </v-btn>
  </v-layout>
</template>

<script>
export default {
  props: {
    value: {
      type: Boolean,
      default: () => false,
    },
  },
  methods: {
    toggle() {
      return this.$emit('input', !this.value);
    },
  },
  computed: {
    arrowIcon() {
      return this.value ? 'keyboard_arrow_down' : 'keyboard_arrow_up';
    },
  },
};
</script>
